<?php

namespace Apm\PhotoSettings;

use DB;
use Illuminate\Database\Seeder;

class PhotoSettingsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('photo_settings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'name'          => 'photo_settings.photo_settings.view',
                'readable_name' => 'View PhotoSettings',
            ],
            [
                'name'          => 'photo_settings.photo_settings.create',
                'readable_name' => 'Create PhotoSettings',
            ],
            [
                'name'          => 'photo_settings.photo_settings.edit',
                'readable_name' => 'Update PhotoSettings',
            ],
            [
                'name'          => 'photo_settings.photo_settings.delete',
                'readable_name' => 'Delete PhotoSettings',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'photo_settings.photo_settings.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
