This is a Laravel 5 package that provides photo_settings management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `apm/photo_settings`.

    "apm/photo_settings": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Apm\PhotoSettings\Providers\PhotoSettingsServiceProvider::class,

```

And also add it to alias

```php
'PhotoSettings'  => Apm\PhotoSettings\Facades\PhotoSettings::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Apm\PhotoSettings\Providers\PhotoSettingsServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Apm\PhotoSettings\Providers\PhotoSettingsServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Apm\PhotoSettings\Providers\PhotoSettingsServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Apm\PhotoSettings\Providers\PhotoSettingsServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Apm\PhotoSettings\Providers\PhotoSettingsServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Apm\PhotoSettings\Providers\PhotoSettingsServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


