<div class="box-header with-border">
    <h3 class="box-title"> cms.edit  {!! trans('photo_settings::photo_settings.name') !!} [{!!$photo_settings->name!!}] </h3>
    <div class="box-tools pull-right">
        <button type="button" class="btn btn-primary btn-sm" id="btn-save"><i class="fa fa-floppy-o"></i> cms.save</button>
        <button type="button" class="btn btn-default btn-sm" id="btn-close"><i class="fa fa-times-circle"></i> cms.close</button>
        <button class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
    </div>
</div>
<div class="box-body" >
    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#photo_settings" data-toggle="tab">{!! trans('photo_settings::photo_settings.tab.name') !!}</a></li>
        </ul>
        {!!Former::vertical_open()
        ->id('edit-photo_settings')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(URL::to('admin/photo_settings/photo_settings/'. $photo_settings['id']))!!}
        <div class="tab-content">
            <div class="tab-pane active" id="photo_settings">
                @include('photo_settings::admin.photo_settings.partial.entry')
            </div>
        </div>
        {!!Former::close()!!}
    </div>
</div>
<div class="box-footer" >
    &nbsp;
</div>
<script type="text/javascript">

        (function ($) {
            $('#btn-close').click(function(){
                $('#entry-photo_settings').load('{!!URL::to('admin/photo_settings/photo_settings')!!}/{!!$photo_settings->id!!}');
            });

            $('#btn-save').click(function(){
                $('#edit-photo_settings').submit();
            });

            $('#edit-photo_settings')
            .submit( function( e ) {

                if($('#edit-photo_settings').valid() == false) {
                    toastr.warning({{ trans('message.unprocessable') }}, '{{ trans('cms.warning') }}');
                    return false;
                }

                var formURL  = "{!! URL::to('admin/photo_settings/photo_settings/')!!}/{!!$photo_settings->id!!}";
                $.ajax( {
                    url: formURL,
                    type: 'POST',
                    data: new FormData( this ),
                    processData: false,
                    contentType: false,
                    success:function(data, textStatus, jqXHR)
                    {
                        $('#entry-photo_settings').load('{!!URL::to('admin/photo_settings/photo_settings')!!}/{!!$photo_settings->id!!}');
                        $('#main-list').DataTable().ajax.reload( null, false );
                    },
                    error: function(jqXHR, textStatus, errorThrown)
                    {
                    }
                });
                e.preventDefault();
            });

        }(jQuery));

</script>