<?php

use Illuminate\Database\Migrations\Migration;

class CreatePhotoSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: photo_settings
         */
        Schema::create('photo_settings', function ($table) {
            $table->increments('id');
            $table->string('name', 200)->nullable();
            $table->string('icon', 100)->nullable();
            $table->string('crop_size', 50)->nullable();
            $table->string('quality', 100)->nullable();
            $table->integer('price')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('photo_settings');
    }
}
