@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('photo_settings::photo_settings.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('photo_settings::photo_settings.names') !!}</small>
@stop

@section('title')
{!! trans('photo_settings::photo_settings.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="https://lavalite.org/admin"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('photo_settings::photo_settings.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='entry-photo_settings'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="main-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('photo_settings::photo_settings.label.name')!!}</th>
                    <th>{!! trans('photo_settings::photo_settings.label.icon')!!}</th>
                    <th>{!! trans('photo_settings::photo_settings.label.crop_size')!!}</th>
                    <th>{!! trans('photo_settings::photo_settings.label.quality')!!}</th>
                    <th>{!! trans('photo_settings::photo_settings.label.price')!!}</th>
    </thead>
</table>
@stop
@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    $('#entry-photo_settings').load('{!!URL::to('admin/photo_settings/photo_settings/0')!!}');
    oTable = $('#main-list').dataTable( {
        "ajax": '{!! URL::to('/admin/photo_settings/photo_settings') !!}',
        "columns": [
            {data :'name'},
                    {data :'icon'},
                    {data :'crop_size'},
                    {data :'quality'},
                    {data :'price'},
        ],
        "photo_settingsLength": 50
    });

    $('#main-list tbody').on( 'click', 'tr', function () {
        $(this).toggleClass("selected").siblings(".selected").removeClass("selected");

        var d = $('#main-list').DataTable().row( this ).data();

        $('#entry-photo_settings').load('{!!URL::to('admin/photo_settings/photo_settings')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop