[<a href="/user/photo_settings/photo_settings/create"> {{ trans('cms.create')  }}</a>]
<table id="main-list" class="table table-striped table-bordered">
    <thead>
        <td>Id</td>
        <th>{!! trans('photo_settings::photo_settings.label.name')!!}</th>
                    <th>{!! trans('photo_settings::photo_settings.label.icon')!!}</th>
                    <th>{!! trans('photo_settings::photo_settings.label.crop_size')!!}</th>
                    <th>{!! trans('photo_settings::photo_settings.label.quality')!!}</th>
                    <th>{!! trans('photo_settings::photo_settings.label.price')!!}</th>
        <td>Action</td>
    </thead>
    <tbody>
        @foreach($photo_settings as $photo_settings)
        <tr>
            <td><a href="/user/photo_settings/photo_settings/{!! $photo_settings->eid !!}"> {!! $photo_settings->id !!} </a></td>
            <td>{{ $photo_settings->name }}</td>
                    <td>{{ $photo_settings->icon }}</td>
                    <td>{{ $photo_settings->crop_size }}</td>
                    <td>{{ $photo_settings->quality }}</td>
                    <td>{{ $photo_settings->price }}</td>
            <td>
                <a href="/user/photo_settings/photo_settings/{!! $photo_settings->eid !!}/edit"> Edit </a>
                <a href="/user/photo_settings/photo_settings/{!! $photo_settings->eid !!}" class="link-delete"> Delete </a>
            </td>
        </tr>
        @endforeach
    </tbody>
</table>
<script type="text/javascript">
$(document).ready(function(){
    $('.link-delete').click(function(e){
        var url = $(this).attr('href');
        swal({
            title: "Are you sure?",
            text: "You will not be able to recover this data!",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "Yes, delete it!",
            closeOnConfirm: false
        }, function(){
            $.ajax({
                url: url,
                type: 'DELETE',
                processData: false,
                contentType: false,
                success:function(data, textStatus, jqXHR)
                {
                    data = jQuery.parseJSON(data);
                    window.location = data.redirect;
                },
            });
        });
        e.preventDefault();
    });
});
</script>